import { useLocale } from "next-intl";

import { routing } from "@/i18n/routing";

import LanguageSwitcherSelect from "./language-switcher-select";

export default function LocaleSwitcher() {
	const locale = useLocale();

	return (
		<div className="flex items-center gap-2">
			<LanguageSwitcherSelect defaultValue={locale} label="Select a language">
				{routing.locales?.map((cur) => (
					<option key={cur} value={cur}>
						{cur === "en" ? "English" : "العربية"}
					</option>
				))}
			</LanguageSwitcherSelect>
		</div>
	);
}
